'\" t
.TH foo2zjs 1 "${MODpage}" "foo2zjs ${MODver}"
#ifndef OLDGROFF
#include "macros.man"
#endif
'\"==========================================================================
'\"	MANUAL PAGE SOURCE
'\"==========================================================================
.SH NAME
foo2zjs \- Convert Ghostscript pbmraw or bitcmyk format into a
ZJS printer stream
.SH SYNOPSIS
.B foo2zjs
.RI [ options "] <" pbmraw-file " >" zjs-file
.sp 1
.B foo2zjs
.RI [ options "] <" bitcmyk-file " >" zjs-file
.sp 1
.B foo2zjs
.RI [ options "] <" pksmraw-file " >" zjs-file
.SH DESCRIPTION
.B foo2zjs
converts Ghostscript pbmraw, bitcmyk, or pksmraw output formats to monochrome
or color ZJS streams,
for driving the Minolta/QMS 2300 DL network color laser printer
and other Zenographics-based printers.

.SH COMMAND LINE OPTIONS
.SS Normal Options
These are the options used to select the parameters of a
print job that are usually controlled on a per job basis.
.TP
.BI \-c
Force color mode if autodetect doesn't work.
.TP
.BI \-d\0 duplex
Duplex code to send to printer [1].
.TS
| n l | n l | n l .
1	off	2	long edge	3	short edge
.TE
.TP
.BI \-g\0 xpix x ypix
Set page dimensions in pixels [10200x6600].
.TP
.BI \-m\0 media
Media code to send to printer [1].
.TS
l l l
l n n.
_
Media	2300DL	2200DL
_
standard	1	1
transparency	2	2
envelope	257	na
letterhead	259	na
thick	261	4
postcard	262	na
labels	263	3
.TE
.TP
.BI \-p\0 paper
Paper code to send to printer [1].
.TS
box;
| n l | n l.
1	letter	9	A4
5	legal	11	A5
7	executive	13	B5
20	env #10	27	env DL
28	env C5	34	env B5
37	env Monarch		
.TE
.TP
.BI \-n\0 copies
Number of copies [1].
.TP
.BI \-r\0 xres x yres
Set device resolution in pixels/inch [1200x600].
.TP
.BI \-s\0 source
Source (InputSlot) code to send to printer [7].
.TS
| n l | n l.
1	upper	4	manual
2	lower	7	auto
.TE
.TP
.BI \-t
Draft mode.  Every other pixel is white.
.TP
.BI \-J\0 filename
Filename string to send to printer.
.TP
.BI \-U\0 username
Username string to send to printer.
.SS Printer Tweaking Options
These are the options used to customize the operation of \fBfoo2zjs\fP
for a particular printer.
.TP
.BI \-u\0 xoff x yoff
Set the offset of the start of the printable region from the
upper left corner, in pixels [0x0].
.TP
.BI \-l\0 xoff x yoff
Set the offset of the end of the printable region from the
lower right corner, in pixels [0x0].
.TP
.BI \-L\0 mask
Send logical clipping amounts implied by -u/-l in the ZjStream [3].
.TS
l l.
0	don't send any logical clipping amounts
1	only send Y clipping amount
2	only send X clipping amount
3	send both X and Y clipping amounts
.TE
.TP
.BI \-P
Do not send START_PLANE codes on monochrome output.  May be
needed by some black and white only printers, such as the
HP LaserJet 1000.
.TP
.BI \-A
AllIsBlack: convert C=1,M=1,Y=1 to just K=1.  Works with bitcmyk input only.
.TP
.BI \-B
BlackClears: K=1 forces C,M,Y to 0.  Works with bitcmyk input only.
.TP
.BI \-X\0 padlen
Add extra zero padding to the end of BID segments.  The default is
16 bytes.  Padding 16 bytes of zeroes
is needed for older ZjStream printers, such as the Minolta 2200DL
and HP LaserJet 1000, and seems harmless to newer ones, such as
the Minolta 2300DL.  So the default should be good for all cases.
.TP
.BI \-z\0 model
Model: 0=2300DL, 1=HP1020.  Default is 0.
.SS Debugging Options
These options are used for debugging \fBfoo2zjs\fP.
.TP
.BI \-S\0 plane
Output just a single color plane from a color print and print it
on the black plane.  The default is to output all color planes.
.TS
l l.
1	Cyan
2	Magenta
3	Yellow
4	Black
.TE
.TP
.BI \-D\0 level
Set Debug level [0].

.SH EXAMPLES
Create a black and white ZJS stream:

.RS
.nf
gs -q -dBATCH -dSAFER -dQUIET -dNOPAUSE \ 
    -sPAPERSIZE=letter -r1200x600 -sDEVICE=pbmraw \ 
    -sOutputFile=- - < testpage.ps \ 
| foo2zjs -r1200x600 -g10200x6600 -p1 >testpage.zm
.fi
.RE
.P
Create a color ZJS stream:

.RS
.nf
gs -q -dBATCH -dSAFER -dQUIET -dNOPAUSE \ 
    -sPAPERSIZE=letter -g10200x6600 -r1200x600 -sDEVICE=bitcmyk \ 
    -sOutputFile=- - < testpage.ps \ 
| foo2zjs -r1200x600 -g10200x6600 -p1 >testpage.zc
.fi
.RE

.SH FILES
.BR /usr/bin/foo2zjs
.SH SEE ALSO
.BR foo2zjs-wrapper (1),
.BR zjsdecode (1)
.SH "AUTHOR"
Rick Richardson <rick.richardson@comcast.net>
.br
${URLZJS}/
'/"
'/"
'/"
.em pdf_outline
